<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: SimuImu.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_simu_imu_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">SimuImu.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_simu_imu_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef SIMUIMU_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define SIMUIMU_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_imu_8h.html">Imu.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_thread_8h.html">Thread.h</a>&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span>framework {</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <span class="keyword">namespace </span>core     {</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        <span class="keyword">class </span>SharedMem;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <span class="keyword">class </span>AhrsData;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    }</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        <span class="keyword">class </span>SpinBox;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    }</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;}</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>framework { <span class="keyword">namespace </span>sensor {</div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="classframework_1_1sensor_1_1_simu_imu.html">   30</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1sensor_1_1_simu_imu.html">SimuImu</a> : <span class="keyword">public</span> <a class="code" href="classframework_1_1sensor_1_1_imu.html">Imu</a>, <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_thread.html">core::Thread</a> {</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_simu_imu.html#a9213c1797466f1f06f96478aa1d270db">SimuImu</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a>* parent,std::string name,uint32_t dev_id,uint8_t priority);</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_simu_imu.html#a9213c1797466f1f06f96478aa1d270db">SimuImu</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a>* parent,std::string name,uint32_t dev_id);</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_simu_imu.html#a76aa86639a0c43cbb5323f3272b9c4cb">~SimuImu</a>();</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;            <span class="keywordtype">void</span> Run(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *data);</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            <span class="keyword">typedef</span> <span class="keyword">struct </span>{</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;                <span class="keywordtype">float</span> q0;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;                <span class="keywordtype">float</span> q1;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;                <span class="keywordtype">float</span> q2;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;                <span class="keywordtype">float</span> q3;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;                <span class="keywordtype">float</span> wx;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;                <span class="keywordtype">float</span> wy;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;                <span class="keywordtype">float</span> wz;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;            } imu_states_t;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_spin_box.html">gui::SpinBox</a> *data_rate;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;            <a class="code" href="classframework_1_1core_1_1_shared_mem.html">core::SharedMem</a> *shmem;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            <a class="code" href="classframework_1_1core_1_1_ahrs_data.html">core::AhrsData</a> *ahrsData;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    };</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="preprocessor">#endif // SIMUIMU_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_simu_imu_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_simu_imu.html">framework::sensor::SimuImu</a></div><div class="ttdoc">Class for a simulation Imu. </div><div class="ttdef"><b>Definition:</b> SimuImu.h:30</div></div>
<div class="ttc" id="_imu_8h_html"><div class="ttname"><a href="_imu_8h.html">Imu.h</a></div><div class="ttdoc">Base class for Imu. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_thread_html"><div class="ttname"><a href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></div><div class="ttdoc">Abstract class for a thread. </div><div class="ttdef"><b>Definition:</b> Thread.h:34</div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></div><div class="ttdoc">Main class of the Framework library. </div><div class="ttdef"><b>Definition:</b> FrameworkManager.h:43</div></div>
<div class="ttc" id="classframework_1_1core_1_1_shared_mem_html"><div class="ttname"><a href="classframework_1_1core_1_1_shared_mem.html">framework::core::SharedMem</a></div><div class="ttdoc">Class defining a shared memory. </div><div class="ttdef"><b>Definition:</b> SharedMem.h:30</div></div>
<div class="ttc" id="classframework_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:35</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_simu_imu_html_a76aa86639a0c43cbb5323f3272b9c4cb"><div class="ttname"><a href="classframework_1_1sensor_1_1_simu_imu.html#a76aa86639a0c43cbb5323f3272b9c4cb">framework::sensor::SimuImu::~SimuImu</a></div><div class="ttdeci">~SimuImu()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_simu_imu_html_a9213c1797466f1f06f96478aa1d270db"><div class="ttname"><a href="classframework_1_1sensor_1_1_simu_imu.html#a9213c1797466f1f06f96478aa1d270db">framework::sensor::SimuImu::SimuImu</a></div><div class="ttdeci">SimuImu(const core::FrameworkManager *parent, std::string name, uint32_t dev_id, uint8_t priority)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_ahrs_data_html"><div class="ttname"><a href="classframework_1_1core_1_1_ahrs_data.html">framework::core::AhrsData</a></div><div class="ttdoc">Class defining AHRS datas. </div><div class="ttdef"><b>Definition:</b> AhrsData.h:25</div></div>
<div class="ttc" id="_thread_8h_html"><div class="ttname"><a href="_thread_8h.html">Thread.h</a></div><div class="ttdoc">Abstract class for a thread. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_imu_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_imu.html">framework::sensor::Imu</a></div><div class="ttdoc">Base class for Imu. </div><div class="ttdef"><b>Definition:</b> Imu.h:38</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_spin_box_html"><div class="ttname"><a href="classframework_1_1gui_1_1_spin_box.html">framework::gui::SpinBox</a></div><div class="ttdoc">Class displaying a QSpinBox on the ground station. </div><div class="ttdef"><b>Definition:</b> SpinBox.h:26</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_ebc679b331e9832181885980c13d7a0f.html">SensorActuator</a></li><li class="navelem"><a class="el" href="dir_a3adf9203c955b1977c072f893948685.html">src</a></li><li class="navelem"><a class="el" href="_simu_imu_8h.html">SimuImu.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
